NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Weld.WeldBeadPathBuilder Class Reference

Represents the path the bead shape will be swept along. More...

Inheritance diagram for NXOpen.Weld.WeldBeadPathBuilder:
NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  OffsetMethodType { InFace, Centerline }
 Settings to indicate the desired offset method. More...
 

Public Member Functions

unsafe NXOpen.Spline GetSweepPath ()
 The portion of the preview curve that can be used to adjust the start or end limits. More...
 
unsafe void UpdatePath (out bool pointFound, out NXOpen.Point3d evaluationPoint, out NXOpen.Vector3d pathTangent, out NXOpen.Vector3d faceNormalWithFin, out NXOpen.Vector3d faceNormalOppositeFin)
 Computes the preview path, and evaluation information for indicating desired face side of the preview path. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool CreateEndToStart [get, set]
 Returns or sets the indication if the sweep should be created from the edge location to the start location. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
EndPath [get]
 Returns the location at which to end the sweep of the bead shape. More...
 
unsafe NXOpen.Expression OffsetAlongNormal [get]
 Returns the offset along normal More...
 
unsafe NXOpen.Expression OffsetInFace [get]
 Returns the expression containing the distance to offset the path normal to the face. More...
 
unsafe
NXOpen.Weld.WeldBeadPathBuilder.OffsetMethodType 
OffsetMethod [get, set]
 Returns or sets the desired path offset method. More...
 
unsafe NXOpen.Section PathSection [get]
 Returns the section defining the path. More...
 
unsafe bool ReverseOffsetDirection [get, set]
 Returns or sets the reverse the direction to offset the path section. More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartPath [get]
 Returns the location at which to start the sweep of the bead shape. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents the path the bead shape will be swept along.

To create a new instance of this class, use NXOpen.Weld.WeldBeadBuilder.NewPath

Created in NX7.5.0

Member Enumeration Documentation

Settings to indicate the desired offset method.

Enumerator
InFace 

offset in selected primary faces

Centerline 

centerline of overlapping sheets

Member Function Documentation

unsafe NXOpen.Spline NXOpen.Weld.WeldBeadPathBuilder.GetSweepPath ( )
inline

The portion of the preview curve that can be used to adjust the start or end limits.

Created in NX10.0.3

License requirements: None.

Returns
The sweep path curve used for setting limits.
unsafe void NXOpen.Weld.WeldBeadPathBuilder.UpdatePath ( out bool  pointFound,
out NXOpen.Point3d  evaluationPoint,
out NXOpen.Vector3d  pathTangent,
out NXOpen.Vector3d  faceNormalWithFin,
out NXOpen.Vector3d  faceNormalOppositeFin 
)
inline

Computes the preview path, and evaluation information for indicating desired face side of the preview path.

Created in NX7.5.0

License requirements: None.

Parameters
pointFoundPoint and evaluation results are valid
evaluationPointPoint that reference vectors are computed at
pathTangentTangent to path at evaluationPoint
faceNormalWithFinNormal if path is in direction of parasolid fin
faceNormalOppositeFinNormal if path is opposite direction of parasolid fin.
unsafe bool NXOpen.Weld.WeldBeadPathBuilder.Validate ( )
inline

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe bool NXOpen.Weld.WeldBeadPathBuilder.CreateEndToStart
getset

Returns or sets the indication if the sweep should be created from the edge location to the start location.

True indicates the sweep will be created from the end to the start location of the path, false indicates the sweep will be from the start to the end location of the path. This option is only used if the path section is closed.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.WeldBeadPathBuilder.EndPath
get

Returns the location at which to end the sweep of the bead shape.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.WeldBeadPathBuilder.OffsetAlongNormal
get

Returns the offset along normal

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Weld.WeldBeadPathBuilder.OffsetInFace
get

Returns the expression containing the distance to offset the path normal to the face.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Weld.WeldBeadPathBuilder.OffsetMethodType NXOpen.Weld.WeldBeadPathBuilder.OffsetMethod
getset

Returns or sets the desired path offset method.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.Section NXOpen.Weld.WeldBeadPathBuilder.PathSection
get

Returns the section defining the path.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Weld.WeldBeadPathBuilder.ReverseOffsetDirection
getset

Returns or sets the reverse the direction to offset the path section.

The update path method provides the information for the default directions.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: ugweld ("UG WELD")

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Weld.WeldBeadPathBuilder.StartPath
get

Returns the location at which to start the sweep of the bead shape.

Created in NX7.5.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.